//GStrings.h                                   // Seperate build of string class for grid
#ifndef Grid_Strings_h
#define Grid_Strings_h

#define EXPANSION_FACTOR      2
#define MINIMUM_ALLOCATION   16

class String
{
 public:
 String();                                     // Uninitialized Constructor
 String& operator=(const TCHAR ch);            // Assigns TCHAR To String
 String& operator=(const TCHAR* pStr);         // Assigns TCHAR* To String
 String& operator=(const String& strAnother);  // Assigns Another 2nd String To String
 bool operator==(const TCHAR* pStr);           //
 int ParseCount(const TCHAR c);                // Returns One More Than # Of TCHAR Delimiters As Represented By c
 void Parse(String* pStr, TCHAR delimiter);    // Returns In Parameter List Array Of Strings As Pointed To By This And Seperated By delimiter
 void LTrim();                                 // Trims Spaces Or Tabs From Front Of String
 int iVal();                                   //
 SIZE_T Len(void);                             // Returns Length Of String In Number Of TCHARs
 TCHAR* lpStr();                               // Returns TCHAR* To Start Of String
 ~String();                                    // String Destructor

 private:
 TCHAR* lpBuffer;
 SIZE_T iLen;
 SIZE_T iCapacity;
};

#endif  //#ifndef Grid_Strings_h

